skype crashed with SIGSEGV in malloc@plt()

Bug #1155327 reported by Keith Drummond
This bug affects 288 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-304 (Ubuntu)
High
Unassigned
Raring
High
Unassigned
qtwebkit-source (Ubuntu)
Undecided
Unassigned
Raring
Undecided
Unassigned
skype (Ubuntu)
High
Unassigned
Raring
High
Unassigned

Bug Description

Workaround in the archive
=========================
With version 4.1.0.20.0-0ubuntu0.13.04.2 of the skype and skype-bin packages, the issue in this bug report has been fixed for most users. However, it has been fixed in the sense that the LD_PRELOAD workaround[1], that has been widely applied by users for a few weeks, has been built-in in the archive packages as a temporary measure while awaiting a more proper fix.

When upgrading to 4.1.0.20.0-0ubuntu0.13.04.2, please remember to
1) install both the skype and the skype-bin packages, and
2) remove possible extra files that you created when applying
   some workaround manually.
--------------------------------------------------------------
Ubuntu 13.04

I try to launch skype but it crashes before it opens.

This only happens when skype is used with the Nvidia drivers/repo's. With the default Xorg repo skype will open and run fine. Using any of the 304, 310 or 313 repo's skype will crash when an attempt is made to start it.

ProblemType: Crash
DistroRelease: Ubuntu 13.04
Package: skype-bin (not installed)
Uname: Linux 3.8.0-12-generic x86_64
Architecture: amd64
CrashCounter: 1
Date: Thu Mar 14 20:52:39 2013
ExecutablePath: /usr/bin/skype
MarkForUpload: True
ProcCmdline: skype
ProcCwd: /home/keith
Signal: 11
Stacktrace:
 #0 0x08075f40 in malloc@plt ()
 No symbol table info available.
 #1 0xf38b4119 in ?? () from /usr/lib32/nvidia-313-updates/libGL.so.1
 No symbol table info available.
 Backtrace stopped: previous frame inner to this frame (corrupt stack?)
StacktraceTop:
 malloc@plt ()
 ?? () from /usr/lib32/nvidia-313-updates/libGL.so.1
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

[1]
WORKAROUND: run it with the command "LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1 skype"

Revision history for this message
Keith Drummond (kd353) wrote :
tags: removed: need-amd64-retrace
Keith Drummond (kd353)
information type: Private → Public
affects: ubuntu → skype (Ubuntu)
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in skype (Ubuntu):
status: New → Confirmed
Revision history for this message
A. Smith (a.smith) wrote :

Skype was working for me with 13.04 up until a few days ago, when I ran the daily update.

Revision history for this message
Achim Behrens (k1l) wrote :

same problem here with the nvidia driver 310.32 from the ubuntu repo on a 64bit system-

starting with "LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1 skype" works for me.

Revision history for this message
Rainer Rohde (rainer-rohde) wrote :

Any news on this? My paid-for Skype account is my only tool for international calls. Getting rather frustrating now....

Revision history for this message
Gianfranco Costamagna (costamagnagianfranco) wrote :

Did you try solutions listed here?
https://bugs.launchpad.net/bugs/1002187

Revision history for this message
A. Smith (a.smith) wrote :

@Locutus I have tried some of that, but I'll look into it again. That said, this bug appears to have popped up under pretty specific circumstances for many people, and in all of our cases it was working fine prior to one of the daily updates last week.

Revision history for this message
Robbie Williamson (robbiew) wrote : apport information

ApportVersion: 2.9.2-0ubuntu2
Architecture: amd64
Dependencies:

DistroRelease: Ubuntu 13.04
MarkForUpload: True
NonfreeKernelModules: nvidia
Package: skype
PackageArchitecture: amd64
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.8.0-6.13-generic 3.8.0-rc7
Tags: raring third-party-packages
Uname: Linux 3.8.0-6-generic x86_64
UnreportableReason: This is not an official Ubuntu package. Please remove any third party package and try again.
UpgradeStatus: Upgraded to raring on 2013-02-08 (41 days ago)
UserGroups: adm admin cdrom dialout libvirtd lpadmin plugdev sambashare

tags: added: apport-collected raring third-party-packages
Revision history for this message
Robbie Williamson (robbiew) wrote :

I too have this bug, but running:
  $ LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1 skype
seems to workaround it.

Changed in skype (Ubuntu Raring):
importance: Undecided → Medium
Revision history for this message
Keith Drummond (kd353) wrote :

That worked for me as a workaround

Revision history for this message
Rainer Rohde (rainer-rohde) wrote :

Having a workaround doesn't lessen the severity of the bug. My wife would rather stop using Ubuntu (she's a recent Ubuntu adopter) and reboot into Windows to use Skype for international calls than having to fiddle with the CLI.

Is there an outlook towards a fix?

Thanks.

Revision history for this message
Robbie Williamson (robbiew) wrote :
Revision history for this message
Robbie Williamson (robbiew) wrote :
Revision history for this message
Robbie Williamson (robbiew) wrote :

@Rainer,

Actually, having a workaround by definition lessens the severity, as if someone wants to still run Skype, they can. With that said, I understand your frustration...and have a solution ;-):

1) Place the attached "skype-workaround" file in /usr/local/bin:
     $ sudo cp skype-workaround /usr/local/bin
2) Set it to execution mode:
     $ chmod 755 /usr/local/bin/skype-workaround
3) Backup /usr/share/applications/skype.desktop:
     $ sudo cp /usr/share/applications/skype.desktop /root/skype.desktop.bak
4) Place the attached "skype.desktop" file in /usr/share/applications:
    $ sudo cp skype.desktop /usr/share/applications

Done. Now when you or your wife select the icon, it should start.

Revision history for this message
Robbie Williamson (robbiew) wrote :

In terms of outlook on a fix, because both skype and nvidia produce closed-source binaries for Ubuntu, Ubuntu developers have little options besides reporting the issue upstream and waiting for a fix.

Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

Rainer, a better solution for international calls is to stop using Skype (which is closed source, and frequently has problems with its Linux client) and change to a service that supports standard protocols (SIP etc.), e.g. using Ekiga (https://launchpad.net/ekiga). I think there is one or more services available directly from that client, or something like http://www.vyke.com/.

Revision history for this message
Rainer Rohde (rainer-rohde) wrote :

Thanks Robbie for the support.

Quick story -- my wife only recently found that Ubuntu is usable for her. So she's now very fond of using 13.04, despite some of the downfalls (*still* no default calendar app, current search in Nautilus doesn't work recursively, slow performance on her Intel Sandybridge based Dell XPS, this Skype issue here).

So for me, it important that stuff just works for her. I can handle the workaround, no doubt, but most people leaving Windows behind might just thing that Ubuntu isn't ready for prime-time yet.

Revision history for this message
Rainer Rohde (rainer-rohde) wrote :

Thanks for the feedback Marius. I will check it out.

Revision history for this message
Marius B. Kotsbak (mariusko) wrote :

Nobody should run 13.04 now without expecting problems. Most users should run the latest release (12.10), or the latest LTS (12.04) for most stability.

Revision history for this message
A. Smith (a.smith) wrote :

Robbie - The workaround works... Thanks.

I think you make a good point about nvidia and skype being closed source, however this bug came about rather suddenly resulting from a daily update that seemingly had nothing to do with skype or nvidia drivers directly, so I think there must be some kind of conflict that can be resolved without involving those developers.

Revision history for this message
Rykel from Singapore (rykel98) wrote :

Now that Skype is a part of Microsoft and still Closed Software, there might come a time when it will be worse. Maybe stopped altogether. Unless there is a change of heart in Microsoft...?

Revision history for this message
Rainer Rohde (rainer-rohde) wrote :

@Rykel - considering that MS still offers Skype for cross-platform consumption, I don't believe they're changing that model to the negative anytime soon. There are plenty of people that pay using Skype (including me), and do so on multiple devices / platforms.

Also, I believe -- as A.Smith suggested -- that this bug is caused by one of the Ubuntu updates, rather than Skype.

Revision history for this message
Vassili Platonov (vassilip) wrote :

This bug is not only for nvidia but AMD Catalyst 13.3b too. The workaround works fine, thanks.

Revision history for this message
John Markh (dragonsol) wrote :

The bug affects AMD/ATI drivers as well.

$ lsb_release -rd
Description: Ubuntu Raring Ringtail (development branch)
Release: 13.04

$ apt-cache policy fglrx-updates fglrx-amdcccle-updates
fglrx-updates:
  Installed: 2:9.010-0ubuntu5
  Candidate: 2:9.010-0ubuntu5
  Version table:
 *** 2:9.010-0ubuntu5 0
        500 http://ca.archive.ubuntu.com/ubuntu/ raring/restricted amd64 Packages
        100 /var/lib/dpkg/status
fglrx-amdcccle-updates:
  Installed: 2:9.010-0ubuntu5
  Candidate: 2:9.010-0ubuntu5
  Version table:
 *** 2:9.010-0ubuntu5 0
        500 http://ca.archive.ubuntu.com/ubuntu/ raring/restricted amd64 Packages
        100 /var/lib/dpkg/status

Revision history for this message
Steve Langasek (vorlon) wrote :

According to bug #1131636, this regression seems to have been triggered by an update to qtwebkit. That ought not happen; opening a bug task on qtwebkit, hopefully the Kubuntu folks will have some idea here.

Changed in skype (Ubuntu Raring):
importance: Medium → High
Changed in qtwebkit-source (Ubuntu Raring):
importance: Undecided → High
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in qtwebkit-source (Ubuntu):
status: New → Confirmed
Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Since Raring will be released soon, and while waiting for a more correct fix (e.g. in qtwebkit), I think we should fix this issue temporarily. The attached patch makes use of the workaround mentioned by several users, and results in a pair of .deb files that work out of the box.

Please find a skype build including the patch in my PPA at https://launchpad.net/~gunnarhj/+archive/misc

tags: added: patch
Changed in skype (Ubuntu Raring):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Confirmed → In Progress
Revision history for this message
Jamie Strandboge (jdstrand) wrote :

NAK for pushing the workaround to the archive. If the problem is in qtwebkit, then other applications may be suffering from similar problems. We should fix this in one place. There is a workaround in place for people who need it in the meantime.

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Jamie,

My proposal is intended for the case a fix of the root problem doesn't make it into the archive before the 13.04 release. It could easily be reverted when the root fix is in place.

A workaround tip in a couple of Launchpad bugs is not sufficient IMO if we care at all about the non-geek users of Ubuntu. I share Rainer's concern.

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Made a minor change to my patch, in the hope that it will be used if qtwebkit isn't fixed in time for the 13.04 release.

Also, thought I'd mention that there is an easier way to apply 'the LD_PRELOAD workaround' manually:

* In your personal ~/bin, create a file named skype with the following contents:

#!/bin/sh
LD_PRELOAD=/usr/lib/i386-linux-gnu/mesa/libGL.so.1 /usr/bin/skype &

* chmod +x ~/bin/skype

That's it. No need to change the .desktop file or edit in /usr at all. It works since ~/.profile contains this code:

  if [ -d "$HOME/bin" ] ; then
      PATH="$HOME/bin:$PATH"
  fi

Revision history for this message
Mark (mnd999) wrote :

I got this too, whilst the workaround solves it, this needs to be be fixed ahead of raring imho.

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

Is the prelink still involved this? (as it was in bug #1002187) Ie. do all of you having the problem have prelink, new qtwebkit 2.3 and nvidia binary blobs installed, or is the problematic combination just qtwebkit + nvidia?

I can't reproduce this myself directly as I don't have nvidia hardware, though, but interested in the prelink after looking at the earlier bug reports.

Revision history for this message
Genadi Saltikov (carmageddon-2) wrote :

Using dpkg --get-selections |grep prelink, I dont see it as installed package.

As for the qtwebkit, what I have is libqtwebkit-dev, libqtwebkit4:amd64, libqtwebkit4:i386 which does seem to be Version: 2.3.0-0ubuntu2

Revision history for this message
LinuXXuniL (naked-true2002) wrote :

I've tried the warkaround, skype will start but it will crash when I'm trying to IM someone while having a call. Any thoughts?

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

@LinuXXuniL: Assuming that you mean 'the LD_PRELOAD workaround', a few ways have been suggested how to apply it. Don't know if it matters which variant you use. I'm using the deb-files in my PPA on a daily basis, and it's working just fine. I successfully sent IMs while having a call just a few minutes ago.

Revision history for this message
LinuXXuniL (naked-true2002) wrote :

@Gunnar: I am using your advice related to the LD_PRELOAD and I'm able to start skype but it will crash during call... :(.

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

I see. The method in comment #30 should in effect be similar to what's in my PPA and the proposed patch. Then I have no idea. Sorry.

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Btw, you can try to download and install the Quantal version of libqtwebkit4 and install it using dpkg. That's one of the other workaround that has been discussed in some bug reports.

Revision history for this message
Timo Jyrinki (timo-jyrinki) wrote :

I've looked at the libqtwebkit4 rdepends bug reports, and no similar crash reports seem to exist for eg. amarok, arora, k3b, ktorrent, rekonq, quassel. This leads me to currently believe this is a Skype specific bug, in which case the hack/workaround or a fix or rebuild from upstream would be needed.

Revision history for this message
LinuXXuniL (naked-true2002) wrote :

Problem solved after a clean 13.04 beta 2 install and applying Gunnar's fix at post #30.

no longer affects: skype
Steve Langasek (vorlon)
affects: qtwebkit-source (Ubuntu Raring) → nvidia-graphics-drivers-304 (Ubuntu Raring)
mentorious (mentoss47)
Changed in qtwebkit-source (Ubuntu):
assignee: nobody → mentorious (mentoss47)
assignee: mentorious (mentoss47) → nobody
status: New → Confirmed
Changed in qtwebkit-source (Ubuntu Raring):
status: New → Confirmed
description: updated
47 comments hidden view all 127 comments
Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

On 2013-04-30 03:21, Steve Langasek wrote:
> On Mon, Apr 29, 2013 at 10:58:54PM -0000, Gunnar Hjalmarsson wrote:
>> Please note that anything that would give the shell script another
>> name but skype would have other disadvantages.
>
> What disadvantages do you have in mind? I was thinking that updating
> the Exec line in /usr/share/applications/skype.desktop to point to
> 'skype-wrapper' would be sufficient.

I have made Skype start automatically at login via Startup Applications, and my ~/.local/share/applications/skype.desktop (which takes precedence over /usr/share/applications/skype.desktop) would keep calling skype. Ok, Startup Applications isn't exactly a hardly promoted feature nowadays, but I suppose we are a few that somehow have made Skype start at login.

Also, people are used to be able to just say skype in a terminal window or in the Alt+F2 command line thing. It's the natural command for starting an application named skype. :)

For those reasons I for one think that letting the wrapper keep the name /usr/bin/skype and moving the binary is preferable before renaming the wrapper and editing .desktop.

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

On 2013-04-30 15:55, Arnau wrote:
> I tried then to change the LD_PRELOAD path as @Gunnar said:
>
> /usr/lib/x86_64-linux-gnu/mesa/libGL.so.1
>
> but the library in not there neither.

Sorry for leading you in the wrong direction. It was just a guess.

Revision history for this message
Arnau (arnaugm) wrote :

Much appreciated nonetheless @Gunnar :)

Revision history for this message
Kalsan (info-kalsan) wrote :

I applied the workaround in #14, but it still doesn't work for me: Ubuntu 13.04 64bit, todays newest skype update is installed.
$ skype-workaround
ERROR: ld.so: object '/usr/lib/i386-linux-gnu/mesa/libGL.so.1' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/i386-linux-gnu/mesa/libGL.so.1' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object '/usr/lib/i386-linux-gnu/mesa/libGL.so.1' from LD_PRELOAD cannot be preloaded: ignored.
Segmentation fault (core dumped)
$

Revision history for this message
Arturo Vargas (turoart) wrote :

I was having this problem with todays skype update
Ubuntu 13.04 64bit
Nvidia 310.44

After reinstall libgl1-mesa-glx:i386 skype is working again
$ sudo apt-get install --reinstall libgl1-mesa-glx:i386

Steve Langasek (vorlon)
Changed in skype (Ubuntu):
status: In Progress → Fix Released
Changed in skype (Ubuntu Raring):
status: In Progress → Fix Released
description: updated
Revision history for this message
mtvoid (mtvoid) wrote :

Echoing #71, I have Intel graphics, and since upgrading to 13.04, Skype segfaults on startup. This fix, which apparently works for those with Nvidia graphics drivers, is ineffective. Skype still crashes for me with intel graphics.

Revision history for this message
pools (pavel-klimunda) wrote :

Hi, I have AMD Catalyst, and no libGl.so.1. After the fix released I get:
skype
ERROR: ld.so: object '/usr/lib/i386-linux-gnu/mesa/libGL.so.1' from LD_PRELOAD cannot be preloaded: ignored.
Neoprávněný přístup do paměti (SIGSEGV) (core dumped [obraz paměti uložen])

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

@mtvoid: Does it work for you to use the quantal version of libqtwebkit4?

@pools: What you describe should (in principle) not be possible. Probably you can make it work by doing

  sudo apt-get install --reinstall libgl1-mesa-glx:i386

But before you try that, can you please clarify the problem by answering a couple of questions:
* Did you install the latest version of both skype and skype-bin?
* What does the command 'dpkg -l libgl1-mesa-glx' output?
* Does 'ls /usr/lib/i386-linux-gnu/mesa' list any files?

Revision history for this message
Herbert (no.herbert) wrote :

same problem as pools here (also catalyst):
$ /usr/bin/skype
ERROR: ld.so: object '/usr/lib/i386-linux-gnu/mesa/libGL.so.1.2.0' from LD_PRELOAD cannot be preloaded: ignored.
Speicherzugriffsfehler (Speicherabzug geschrieben)
##the 2nd line is in the error-message for "segmentation fault" in german.

* Did you install the latest version of both skype and skype-bin?
yes

* What does the command 'dpkg -l libgl1-mesa-glx' output?
Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Vollständig Löschen/Halten
| Status=Nicht/Installiert/Config/U=Entpackt/halb konFiguriert/
         Halb installiert/Trigger erWartet/Trigger anhängig
|/ Fehler?=(kein)/R=Neuinstallation notwendig (Status, Fehler: GROSS=schlecht)
||/ Name Version Architektur Beschreibung
+++-========================================-=========================-=========================-=====================================================================================
ii libgl1-mesa-glx:amd64 9.1.1-0ubuntu3 amd64 free implementation of the OpenGL API -- GLX runtime
ii libgl1-mesa-glx:i386 9.1.1-0ubuntu3 i386 free implementation of the OpenGL API -- GLX runtime

* Does 'ls /usr/lib/i386-linux-gnu/mesa' list any files?
$ ls /usr/lib/i386-linux-gnu/mesa -lah
insgesamt 404K
drwxr-xr-x 2 root root 4,0K Mai 1 17:17 .
drwxr-xr-x 42 root root 36K Mai 1 14:48 ..
-rw-r--r-- 1 root root 29 Apr 18 16:22 ld.so.conf
lrwxrwxrwx 1 root root 14 Apr 18 16:22 libGL.so.1 -> libGL.so.1.2.0
-rw-r--r-- 1 root root 354K Apr 18 16:22 libGL.so.1.2.0

Revision history for this message
mtvoid (mtvoid) wrote :

@gunnarhj: Yes, I also tried it with both libqtwebkit4 2.2.1 and 2.3.0. Whatever was causing the problem, seemed to be from the upgrade of some other package when upgrading to raring. Investigating further with gdb, I found this:

Program received signal SIGSEGV, Segmentation fault.
0x08075f44 in malloc@plt ()
(gdb) bt
#0 0x08075f44 in malloc@plt ()
#1 0xb4f8a653 in g_malloc () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2 0xb4f8a92b in g_malloc_n () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3 0xb4f93e10 in g_quark_from_static_string ()
   from /lib/i386-linux-gnu/libglib-2.0.so.0
#4 0xb5045822 in ?? () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#5 0xb7fed216 in ?? () from /lib/ld-linux.so.2
#6 0xb7fed2fc in ?? () from /lib/ld-linux.so.2
#7 0xb7fdf1df in ?? () from /lib/ld-linux.so.2

That indicated some issue with libglib2.0-0. I was using the latest GNOME packages, including libglib 2.37.0 from the ricotz testing PPA. I reverted it back to 2.36.0, and now Skype works again. The issue I was facing was not related to libGL, and I have resolved it for now. But I thought of pointing this out, because maybe Skype will still crash for anybody running with a newer version of glib, irrespective of which graphics driver they are running.

Revision history for this message
Kalsan (info-kalsan) wrote :

#92 did the trick for me, thanks!

Revision history for this message
pools (pavel-klimunda) wrote :

thanks for hint Kalsan, #92 did the trick

Revision history for this message
Kalsan (info-kalsan) wrote :

Watch out! Unity stopped working for me! I had to log off, get on the GNOME fallback, install the AMD driver again and reboot. Now Unity works again but skype is crashing again too...
Now I can choose between Unity and skype but not both at the same time...
Anybody experiencing similar problems?

Revision history for this message
Pawel Urbanowski (pawel-urbanowski) wrote :

#100 - I experienced the same issue, but running nvidia driver.
For me downgrading libqtwebkit4 works best:
wget http://launchpadlibrarian.net/112036076/libqtwebkit4_2.2.1-4ubuntu1_amd64.deb
wget http://launchpadlibrarian.net/112036044/libqtwebkit4_2.2.1-4ubuntu1_i386.deb
sudo dpkg -i libqtwebkit4_2.2.1-4ubuntu1_i386.deb libqtwebkit4_2.2.1-4ubuntu1_amd64.deb
echo libqtwebkit4:i386 hold | sudo dpkg --set-selections
echo libqtwebkit4:amd64 hold | sudo dpkg --set-selections

Revision history for this message
Peter Antoniac (pan1nx) wrote :

For me the latest today (skype_4.1.0.20.0-0ubuntu0.13.04.2_amd64.deb) did the trick. It works now without any LD tricks.

Revision history for this message
David Girault (dfgweb) wrote :

For me the latest today (skype_4.1.0.20.0-0ubuntu0.13.04.2_amd64.deb) DIDN'T work!
For me downgrading libqtwebkit4, using comment #101 packages links DIDN'T work either!

I'm on 13.04 (but with gnome3-team and ricotz PPAs).

Revision history for this message
mtvoid (mtvoid) wrote :

@dfgweb: Read my earlier comment #97. You need to revert some of the packages currently in the testing PPA (libglib2.0-0 and others depending on it).

Revision history for this message
Kalsan (info-kalsan) wrote :

I'm as well unable to use the free driver: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/1173217
Unfortunately, nobody is taking care of that bug, what can I do?

Revision history for this message
Marco Piraccini (marco-piraccini) wrote :

+1 to #97.
Skype don't run with libglib 2.37.0 from the ricotz testing PPA

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

On 2013-05-04 13:40, Marco Piraccini wrote:
> +1 to #97.
> Skype don't run with libglib 2.37.0 from the ricotz testing PPA

Yes, that was a nice catch by mtvoid. OTOH, it's not really an Ubuntu issue, is it? ;-)

Revision history for this message
mtvoid (mtvoid) wrote :

@gunnarhj: Maybe not directly an Ubuntu issue, but certainly an issue with Skype. I'm curious if this bug affects other distributions too (with Nvidia drivers, or libglib 2.37.0).

Revision history for this message
Marco Piraccini (marco-piraccini) wrote :

@gunnarhj When libglib will be updated on the main PPA, no one will use skype anymore? :) Maybe it's better to fix it. I'm not sure if it's a skype issue or a libglib issue...

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

On 2013-05-06 18:59, Marco Piraccini wrote:
> @gunnarhj When libglib will be updated on the main PPA, no one will use
> skype anymore? :) Maybe it's better to fix it. I'm not sure if it's a
> skype issue or a libglib issue...

Or a nvidia issue or a qtwebkit issue... There are several candidates.

I just meant that an issue due to premature use of a new version, before it has been sufficiently tested for inclusion in Ubuntu, is a special kind of issue. I did not intend to suggest that this Skype problem should not be properly fixed. So far we only have a temporary and somewhat unconventional solution in place, i.e. the LD_PRELOAD workaround is now in the archive.

Revision history for this message
John (vanuan) wrote :
Revision history for this message
k-noon (k-noon) wrote :

ld.so: object '/usr/lib/i386-linux-gnu/mesa/libGL.so.1' from LD_PRELOAD cannot be preloaded: ignored.
Falha de segmentação (imagem do núcleo gravada)

:(

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

@k-noon:

sudo apt-get install --reinstall libgl1-mesa-glx:i386

Revision history for this message
Richard Brown (rgbrown) wrote :

Posting just in case anyone has the same experience I had

I thought the fixed skype wasn't working for me on 13.04 (was continuing to segfault), but then noticed eventually that when my system was upgraded from 12.10 to 13.04, the Partner repository had not been updated to raring, and so it was installing skype for the wrong distro. In particular I had 4.1.0.20.0-0ubuntu0.12.04.2 installed and it took me a long time to notice the 12 where there should have been a 13!

Correcting the distro to raring brought in the "fixed" skype.

Revision history for this message
Arnau (arnaugm) wrote :

@gunnarhj:

unable to reinstall libgl1-mesa-glx:i386:
> Reinstallation of libgl1-mesa-glx:i386 is not possible, it cannot be downloaded.

maybe because I'm in a 64bit arch?

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

@Arnau: What if you drop the trailing ':i386' and do:

  sudo apt-get install --reinstall libgl1-mesa-glx

Revision history for this message
Arnau (arnaugm) wrote :

@gunnarhj: Same issue, any clue why?

Reinstallation of libgl1-mesa-glx is not possible, it cannot be downloaded.

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

On 2013-05-09 11:47, Arnau wrote:
> @gunnarhj: Same issue, any clue why?

I smell broken packages. This is not a proper place to talk about that, but here is a starting-point to get help:

https://help.ubuntu.com/community/SynapticHowto#How_to_fix_broken_packages

Revision history for this message
Alexandre Otto Strube (surak) wrote :

This is NOT the bug in saucy. The bug in saucy is expressed in #97 and #106

This is the bug in saucy 13.10: https://bugs.launchpad.net/ubuntu/+source/glib2.0/+bug/1180857

Changed in glib:
importance: Unknown → Medium
status: Unknown → New
Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Skype 4.2 for Linux has been released:
http://blogs.skype.com/2013/05/20/skype-for-linux-4-2/

I couldn't help testing, so I removed the skype and skype-bin packages, downloaded the provided .deb file and installed it.

It works. :) Without a need to downgrade libqtwebkit4 or apply 'the LD_PRELOAD workaround'.

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Reopening the skype tasks, since we now have an opportunity to get rid of the temporary fix in the archive.

Changed in skype (Ubuntu):
assignee: Gunnar Hjalmarsson (gunnarhj) → nobody
status: Fix Released → Triaged
Changed in skype (Ubuntu Raring):
assignee: Gunnar Hjalmarsson (gunnarhj) → nobody
status: Fix Released → Triaged
Revision history for this message
Steve Langasek (vorlon) wrote :

> Reopening the skype tasks, since we now have an opportunity
> to get rid of the temporary fix in the archive.

Re-closing; this bug is no longer present, and I've already uploaded removing the workaround.

Changed in skype (Ubuntu Raring):
status: Triaged → Fix Released
Changed in skype (Ubuntu):
status: Triaged → Fix Released
Steve Langasek (vorlon)
Changed in qtwebkit-source (Ubuntu):
status: Confirmed → Invalid
Changed in nvidia-graphics-drivers-304 (Ubuntu):
status: Confirmed → Won't Fix
Changed in qtwebkit-source (Ubuntu Raring):
status: Confirmed → Invalid
Changed in nvidia-graphics-drivers-304 (Ubuntu Raring):
status: Confirmed → Won't Fix
no longer affects: glib
Revision history for this message
Kalsan (info-kalsan) wrote :

Great! Unfortunately, I don't have a skype icon in the top of the screen any more with this version of Ubuntu (13.04). How can I get it back?

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

@Kalsan: Can you please file a separate bug about that problem. This bug report is closed now.

Revision history for this message
Kalsan (info-kalsan) wrote :
Revision history for this message
erica hollis (erica-rowancott) wrote :

Have tried the work around on Ubuntu 14.04 but that leads to a segmentation fault (core dump)

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Hi Erica,

This bug report deals with a problem in a previous version of the Skype client, and has been closed for a long time. If you suspect a bug in the current version (4.3), please file a new bug report. To seek help, go to for example http://askubuntu.com/

Displaying first 40 and last 40 comments. View all 127 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.